Subject: Re: [Bitcoin-development] Self-dependency transaction question...

From: Jeff Garzik <[email-masked]>
Date: Sun, 13 Jul 2014 22:51:50 -0400

On Sun, Jul 13, 2014 at 10:25 PM, Aaron Voisine <[email-masked]> wrote:
> I believe tx have to be ordered sequentially within a block. Also
> since a tx is referenced by it's hash, it's practically impossible to
> make a self referential tx.

Correct.  A TX will not reference a later TX in the same block (or itself).

This would be a good invalid-block test to add to the test suite.  Any
volunteers?

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/